aboutsummaryrefslogtreecommitdiffstats
path: root/version-manifest/src/main/scripts
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2018-05-07 12:27:37 -0700
committerGary Wu <gary.i.wu@huawei.com>2018-05-07 12:45:40 -0700
commit4885ce67b35caefbcdb35091f177afdbff723972 (patch)
treee1ec1c18f5e9aa25b324266c7aea98acce145928 /version-manifest/src/main/scripts
parent455f8d2a70886b3c858d3461e87e4be63ff1a53a (diff)
Script to sync OOM helm charts with manifest
Change-Id: Idb40b4fc8d02b82ba43f9dc4c53f485ba9939091 Issue-ID: INT-492 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'version-manifest/src/main/scripts')
-rwxr-xr-xversion-manifest/src/main/scripts/merge-oom-images.sh11
-rwxr-xr-xversion-manifest/src/main/scripts/update-oom-image-versions.sh30
2 files changed, 36 insertions, 5 deletions
diff --git a/version-manifest/src/main/scripts/merge-oom-images.sh b/version-manifest/src/main/scripts/merge-oom-images.sh
index 09bc12fd2..248bc331c 100755
--- a/version-manifest/src/main/scripts/merge-oom-images.sh
+++ b/version-manifest/src/main/scripts/merge-oom-images.sh
@@ -1,13 +1,14 @@
#!/bin/bash
if [ "$#" -ne 2 ]; then
+ echo This script adds docker images that exist in OOM helm charts into docker-manifest.csv
echo "$0 <docker-manifest.csv> <oom directory>"
exit 1
fi
# expected parameters
-MANIFEST=$1
-OOM_DIR=$2
+MANIFEST=$(realpath $1)
+OOM_DIR=$(realpath $2)
if [ -z "$WORKSPACE" ]; then
export WORKSPACE=`git rev-parse --show-toplevel`
@@ -20,7 +21,7 @@ mkdir -p $TARGET_DIR
cd $TARGET_DIR
cd $OOM_DIR
-rgrep "image: .*" --include=values.yaml -h | cut -d ' ' -f 2 | tr -d '"'| grep -v '<' | grep -e "^onap" -e "^openecomp" | LC_ALL=C sort > $TARGET_DIR/oom-manifest.txt
+rgrep "image: .*" --include=values.yaml -h | cut -d ' ' -f 2 | tr -d '"'| grep -v '<' | grep -e "^onap" -e "^openecomp" | LC_ALL=C sort -u > $TARGET_DIR/oom-manifest.txt
touch $TARGET_DIR/docker-manifest-new-entries.txt
for line in $(cat $TARGET_DIR/oom-manifest.txt); do
@@ -34,5 +35,5 @@ for line in $(cat $TARGET_DIR/oom-manifest.txt); do
fi
done
-cat $MANIFEST $TARGET_DIR/docker-manifest-new-entries.txt | LC_ALL=C sort > $MANIFEST.tmp
-cp $MANIFEST.tmp $MANIFEST
+cat $MANIFEST $TARGET_DIR/docker-manifest-new-entries.txt | LC_ALL=C sort -u > $MANIFEST.tmp
+mv $MANIFEST.tmp $MANIFEST
diff --git a/version-manifest/src/main/scripts/update-oom-image-versions.sh b/version-manifest/src/main/scripts/update-oom-image-versions.sh
new file mode 100755
index 000000000..eba847841
--- /dev/null
+++ b/version-manifest/src/main/scripts/update-oom-image-versions.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+if [ "$#" -ne 2 ]; then
+ echo This script updates OOM helm charts to use versions in docker-manifest.csv
+ echo "$0 <docker-manifest.csv> <oom directory>"
+ exit 1
+fi
+
+# expected parameters
+MANIFEST=$(realpath $1)
+OOM_DIR=$(realpath $2)
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+DIR=$(dirname $(readlink -f "$0"))
+TARGET_DIR=$DIR/target
+rm -rf $TARGET_DIR
+mkdir -p $TARGET_DIR
+cd $TARGET_DIR
+
+cd $OOM_DIR/kubernetes
+
+for line in $(tail -n +2 $MANIFEST); do
+ image=$(echo $line | cut -d , -f 1)
+ tag=$(echo $line | cut -s -d , -f 2)
+ perl -p -i -e "s|image: $image(:.*$\|$)|image: $image:$tag|g" $(find ./ -name values.yaml)
+done
+